# Method: customer.devices.chromeos.commands.get

Gets command data a specific command issued to the device.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}/commands/{commandId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Immutable. ID of the Google Workspace account. |
| `deviceId` | `string` Immutable. ID of Chrome OS Device. |
| `commandId` | `string (https://developers.google.com/discovery/v1/type-format format)` Immutable. ID of Chrome OS Device Command. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/customer.devices.chromeos.commands#DirectoryChromeosdevicesCommand`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.device.chromeos`
- `
  https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).